using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.Snapshot;

[Description("通知关联消息")]
public class NotificationReceiver : CreationSoftDeleteEntity
{
    /// <summary>
    /// 通知ID
    /// </summary>
    [SugarColumn(ColumnDescription = "通知Id")]
    public string NotificationId { get; set; }

    /// <summary>
    /// 接收人ID
    /// </summary>
    [SugarColumn(ColumnDescription = "接收人ID")]
    public string ReceiverId { get; set; }

    /// <summary>
    /// 是否已读
    /// </summary>
    [SugarColumn(ColumnDescription = "是否已读")]
    public bool IsRead { get; set; }
}
